{% extends 'spritju/esvaas/base.html' %}
{% load static %}
{% block title %}
    <title>Spritju 1.0 - Matching</title>
{% endblock %}


{% block page-content %}

    <!-- Begin Page Content -->
    <div class="container-fluid">

        <!-- consumption details modal -->
        <div class="modal fade" id="matchingModal" tabindex="-1" role="dialog"
             aria-labelledby="exampleModalLongTitle" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="matchingModalTitle">Matching detail for</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <!-- Pie Chart for matching per energy type-->
                        <div class="card shadow ">
                            <!-- Card Body -->
                            <div class="card-body">
                                <div class="chart-pie pt-4 pb-2">
                                    <canvas id="stoneTypeChart"></canvas>
                                </div>
                                <div class="mt-4 text-center small">
                                    {% for stone in consumption_matching_stones %}
                                        <span class="mr-2">
                                            <i class="fas fa-circle"
                                               style="color: {{ stone.color_code }}"></i> {{ stone.name }}
                                        </span>
                                    {% endfor %}
                                </div>
                            </div>
                        </div>
                        <!-- End of pie Chart for matching per energy type-->
                        <br>
                        <!-- Pie Chart for spritju orbs-->
                        <div class="card shadow ">
                            <!-- Card Body -->
                            <div class="card-body">
                                <div class="chart-pie pt-4 pb-2">
                                    <canvas id="SpritjuOrbChart"></canvas>
                                </div>
                                <div class="mt-4 text-center small">
                                    {% for orb in consumption_matching_orbs %}
                                        <span class="mr-2">
                                            <i class="fas fa-circle"
                                               style="color: {{ orb.color_code }}"></i> {{ orb.name }}
                                        </span>
                                    {% endfor %}
                                </div>
                            </div>
                        </div>
                        <!-- End of pie Chart for spritju stars-->
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- end of consumption details modal -->

        <div class="row">


            <div class="col-xl-6 col-lg-5">
                <!-- Page Heading -->
                <h1 class="h3 mb-2 text-gray-800">Matching</h1>
                <p class="mb-4">Here you can see hourly consumption matching for the month of April, 2022</p>
            </div>


            <!-- Content Row -->
            <div class="row">


            </div>

            <div class="col-xl-12 col-lg-7">
                <table id="matching-table" class="table table-bordered table-responsive-sm text-sm-center p-0">
                    <thead class="thead-light">
                    <tr>
                        <th scope="col">#</th>
                        {% for hour in hours %}
                            <th scope="col">{{ hour }}:00</th>
                        {% endfor %}
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <th scope="row">1</th>
                        {% for c in consumption %}
                            <td class="matching-detail"><a type="button" class="badge badge-light"
                                                           data-toggle="modal"
                                                           data-value="{{ forloop.counter }}"
                                                           data-target="#matchingModal">{{ c }}</a>
                            </td>
                        {% endfor %}
                    </tr>
                    {% for d in days %}
                        <tr>
                            <th scope="row">{{ d }}</th>
                            {% for c in consumption %}
                                <td class="matching-detail"><a type="button" class="badge badge-light">_</a>
                                </td>
                            {% endfor %}
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>


            {% comment %}  <!-- Illustrations -->
            <div class="col-xl-4 col-lg-5">

                <div class="text-center pl-5">
                    <img class="img-fluid px-3 px-sm-4 mt-3 mb-4" style="width: 25rem;"
                         src="{% static 'img/esvaas/matching.png' %}" alt="...">
                </div>

            </div>{% endcomment %}
        </div>


    </div>
    <!-- /.container-fluid -->
{% endblock %}